#include "newton.h"

double newton(double (*f)(double),double (*dfdx)(double),double x0,double min_step,int max_nr_iters)
{
  int i=0;
  double current_step = (double)DBL_MAX;
  double x1;

  while(i<max_nr_iters)
    {
      x1 = x0 - f(x0)/dfdx(x0);
      current_step = fabs(x1-x0);
      printf("%d:\t%6f\t%6f\n",i,x0,current_step);
      if(current_step<min_step)
	{
	  return x1;
	  }
      i++;
      x0 = x1;
    }
  return x0;
}
